/*
 * Copyright (c) 2011, the Last.fm Java Project and Committers
 * All rights reserved.
 *
 * Redistribution and use of this software in source and binary forms, with or without modification, are
 * permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above
 *   copyright notice, this list of conditions and the
 *   following disclaimer.
 *
 * - Redistributions in binary form must reproduce the above
 *   copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other
 *   materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package de.umass.lastfm;

/**
 * @author Janni Kovacs
 */
public class ImageSize {

	public static final int SMALL = 0;
	public static final int MEDIUM = 1;
	public static final int LARGE = 2;
	public static final int LARGESQUARE = 3;
	public static final int HUGE = 4;
	public static final int EXTRALARGE = 5;
	public static final int MEGA = 6;
	public static final int ORIGINAL = 7;

	public static int valueOf(String name) {
		if ("SMALL".equals(name)) {
			return SMALL;
		} else if ("MEDIUM".equals(name)) {
			return MEDIUM;
		} else if ("LARGE".equals(name)) {
			return LARGE;
		} else if ("LARGESQUARE".equals(name)) {
			return LARGESQUARE;
		} else if ("HUGE".equals(name)) {
			return HUGE;
		} else if ("EXTRALARGE".equals(name)) {
			return EXTRALARGE;
		} else if ("MEGA".equals(name)) {
			return MEGA;
		} else if ("ORIGINAL".equals(name)) {
			return ORIGINAL;
		}
		return -1;
	}
}
